aboutsummaryrefslogtreecommitdiff
path: root/test.sh
diff options
context:
space:
mode:
authorGunnar Morling <gunnar.morling@googlemail.com>2024-01-04 15:24:27 +0100
committerGunnar Morling <gunnar.morling@googlemail.com>2024-01-04 15:24:27 +0100
commitc74dc32b35d1b6b74a502748b003eb5b193ad105 (patch)
tree0558d57ae67f4f4c23b4dd03ff83b114c948c8ce /test.sh
parentc9400bc1ce8cad61e6acf6ec5d0076b7f0695d3e (diff)
Adding test loop
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/test.sh b/test.sh
new file mode 100755
index 0000000..8119e70
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+#
+# Copyright 2023 The original authors
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+if [ -z "$1" ]
+ then
+ echo "Usage: test.sh <fork name>"
+ exit 1
+fi
+
+java --version
+
+mvn clean verify
+
+for sample in $(ls src/test/resources/samples/*.txt)
+do
+ echo "Validating calculate_average_$1.sh -- $sample"
+ rm -f measurements.txt
+ ln -s $sample measurements.txt
+
+ diff <(./calculate_average.sh) ${sample%.txt}.out
+done
+rm measurements.txt